Al ejecutar el comando react-native run-android obtenia el siguiente error>

Error: spawn xterm ENOENT
    at exports._errnoException (util.js:890:11)
    at Process.ChildProcess._handle.onexit (internal/child_process.js:182:32)
    at onErrorNT (internal/child_process.js:348:16)
    at _combinedTickCallback (node.js:383:13)
    at process._tickCallback (node.js:407:11)

El sistema operativo que uso es Elementary OS que se basa en Ubuntu, por lo tanto podemos ejecutar apt-get para instalar dependencias.

Solución:

$ sudo apt-get install xterm